Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 521386

Summary: savecache checking wrong directory for write permissions
Product: Gentoo Hosted Projects Reporter: Joe M <joe9mail>
Component: OpenRCAssignee: OpenRC Team <openrc>
Status: RESOLVED FIXED    
Severity: normal    
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on:    
Bug Blocks: 520144    
Attachments: updated savecache
savecache: check the correct directory for write permissions

Description Joe M 2014-08-28 12:58:42 UTC
savecache is checking "$RC_LIBEXECDIR" for write permissions instead of "$RC_LIBEXECDIR"/cache

Reproducible: Always
Comment 1 Joe M 2014-08-28 12:59:44 UTC
Created attachment 383846 [details]
updated savecache

diff --git a/init.d/savecache b/init.d/savecache
index 5e59b25..7dc8b0a 100755
--- a/init.d/savecache
+++ b/init.d/savecache
@@ -13,8 +13,8 @@ start()
                        return 1
                fi
        fi
-       if ! checkpath -W "$RC_LIBEXECDIR"; then
-               ewarn "WARNING: ${RC_LIBEXECDIR} is not writable!"
+       if ! checkpath -W "$RC_LIBEXECDIR"/cache; then
+               ewarn "WARNING: ${RC_LIBEXECDIR}/cache is not writable!"
                if ! yesno "${RC_GOINGDOWN}"; then
                        ewarn "Unable to save deptree cache"
                        return 1
Comment 2 Joe M 2014-08-28 17:43:40 UTC
Created attachment 383878 [details, diff]
savecache: check the correct directory for write permissions
Comment 3 William Hubbs gentoo-dev 2014-08-29 14:16:10 UTC
This is fixed in commit d032b17 and will be included in OpenRC-0.14.
Thanks for the report.